INDR(1)

NAME
indr - add indirection to symbols in object files

SYNOPSIS
indr [-n] [[-arch arch_type] ...] list input output

indr [-n] [[-arch_indr arch_type list] ...] input output

DESCRIPTION
Indr builds the output file, output, by translating each symbol name listed in the file list to the same name with and underbar prepended to it in all the objects in the input file, input. This is used in building the ANSI C library and ``hiding'' non-ANSI C library symbols that are used by the ANSI C routines. The input file can be either and object file or an archive and the output file will be the same type as the input file. Then it if the input file is an archive and the -n flag is not specified then it creates an object for each of these symbols with an indirect symbol (n_type == N_INDR) for the symbol name with an underbar and adds that to the output archive.

Some or all of the following options may be specified:

-n  Suppress creating the indirect objects when the output file is an archive. This is assumed when the output file is an object file.

-arch arch_type
    Specifies the architecture, arch_type, of the file for indr(1) to process when the file is a universal file (see arch(3) for the currently know arch_types). The arch_type can be all to process all architectures in the file. The default is to process only the host architecture if that is contained in the file if not and only one architecture is present in the file then it is processed. In all other cases the architecture(s) to process must be specified with this flag.

-arch arch_type list
    Same as above but specifies the list of symbol that applys only to this architecture.

SEE ALSO
Mach-O(5), arch(3)